TD Agent v4.2.0 has been released

Hi users!

We have released v4.2.0. ChangeLog is here.

This release is a maintenance release of v4.x series. We recommend to upgrade TD Agent because it contains latest Fluentd v1.13.3.

Jemalloc was downgraded to v3.6.0

Because of excessive amounts of memory consuming issue, bundled version of jemalloc was downgraded from v5.2.1 to v3.6.0.

This issue seems a well known issue as follows:

Jemalloc v3.6.0 is stable enough (according to jemlloc's web site, it still seems be supported)

See https://github.com/fluent-plugins-nursery/td-agent-builder/issues/305 about details.

Dependency to perl package was removed

In the previous versions, td-agent has dependency to perl packages. This is because it bundles jeprof, but users do not want to install extra dependencies. So, we decided to drop it.

Enjoy logging!

Subscribed to the RSS feed here.

Written by ClearCode, Inc.

ClearCode, Inc. is a software company specializing in the development of Free Software. We maintain Fluentd and its plugin ecosystem, and provide commercial support for them.


comments powered by Disqus

About Fluentd

Fluentd is an open source data collector to unify log management.

Learn

Want to learn the basics of Fluentd? Check out these pages.

Ask the Community

Couldn't find enough information? Let's ask the community!

Ask the Experts

You need commercial-grade support from Fluentd committers and experts?

Follow Us!